# Generated from zabcon-0.0.392.gem by gem2rpm -*- rpm-spec -*-
%global gem_name zabcon

Name: rubygem-%{gem_name}
Version: 0.0.392
Release: 1%{?dist}
Summary: Zabcon command line interface for Zabbix
License: GPL 2.0
URL: http://trac.red-tux.net/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.6
BuildArch: noarch

%description
Zabcon is a command line interface for Zabbix written in Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/. -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/zabcon.rb
%{gem_instdir}/.
%{gem_instdir}/libs
%{gem_instdir}/revision_information
%{gem_instdir}/zabcon.conf.default
%{gem_instdir}/zabcon.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.392-1
- Initial package
